> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/pipeline/pipelines/list-available-pipeline-nodes/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # List available pipeline nodes GET https://api.mezmo.com/v3/pipeline/node A list of all available nodes for use when creating pipelines Reference: https://mezmo.ferndocs.com/api-reference/pipeline/pipelines/list-available-pipeline-nodes ## Authentication - `Authorization` header (required) (prefixed with ` Token `) — Header authentication of the form `Token ` ## Response ### 200 Default Response ## Examples **Request** ```json {} ``` **Response** ```json { "nodes": [ { "id": "node-01", "name": "Log Ingestor", "description": "Ingests logs from various sources including payment-service and auth-gateway", "type": "ingest", "config": { "source": "logs.acme-corp.io", "logLevel": "INFO" } }, { "id": "node-02", "name": "Metric Aggregator", "description": "Aggregates metrics like request_latency_ms and error_rate_5xx from order-processor", "type": "transform", "config": { "metricNames": [ "request_latency_ms", "error_rate_5xx" ], "aggregationWindow": "1m" } }, { "id": "node-03", "name": "Alert Dispatcher", "description": "Dispatches alerts based on threshold breaches in telemetry.acme-corp.io", "type": "output", "config": { "alertLevel": "WARN", "destination": "pagerduty" } } ] } ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v3/pipeline/node" payload = {} headers = { "Authorization": "Token ", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v3/pipeline/node'; const options = { method: 'GET', headers: { Authorization: 'Token ', 'Content-Type': 'application/json' }, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v3/pipeline/node" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Authorization", "Token ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v3/pipeline/node") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Token ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mezmo.com/v3/pipeline/node") .header("Authorization", "Token ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.mezmo.com/v3/pipeline/node', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Token ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v3/pipeline/node"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Token "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Token ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v3/pipeline/node")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```